PHP Handbuch
Zurück |  | Weiter

# ceil

(PHP 3, PHP 4, PHP 5)

ceil -- Aufrunden

## Beschreibung

float ceil ( float value )

Liefert die nächste ganze Zahl die größer oder gleich dem Parameter `value` ist.

Beispiel 1. ceil() Beispiel
`<?php echo ceil(4.3); // 5 echo ceil(9.999); // 10 echo ceil(-3.14); // -3 ?>`

## Parameter Liste

`value`

  Der aufzurundende Wert

## Rückgabewerte

Der aufgerindete Wert. Dieser wird weiterhin als float zurückgegeben da der Wertebereich von float größer als der von integer ist.

## Beispiele

Beispiel 2. ceil() Beispiel
`<?php echo ceil(4.3); // 5 echo ceil(9.999); // 10 echo ceil(-3.14); // -3 ?>`

## Siehe auch

floor()
round()

Zurück | Zum Anfang | Weiter
bindec | Nach oben | cos